Bug 755124

Summary: Unstable/missing functionality in preupgrade
Product: [Fedora] Fedora Reporter: Philip Prindeville <philipp>
Component: preupgradeAssignee: Richard Hughes <hughsient>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: urgent Docs Contact:
Priority: unspecified    
Version: 16CC: hughsient, philipp
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 09:37:03 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Philip Prindeville 2011-11-18 17:16:11 EST
Description of problem:

I tried to upgrade two f15 x86_64 machines to f16 via preupgrade yesterday, and had to resort to Yum instead after 7 hours of trying. My observations are:

* preupgrade should generate a ks.cfg that reflects the presence of "console=ttyS*" in your cmdline... so a "text" should also be present in the ks.cfg, as well as the Anaconda magic to cause console redirection to happen.

* having initrd run in "quiet" mode is pointless. an upgrade is done once only (hopefully!), and the value of getting useful information to troubleshoot a hang (as I saw) outweighs the aesthetic ugliness of a bunch of kernel boot-spew.

* also, some scripts to manually tweak the initrd.img (via dracut or whatever) would be handy for common tasks (such as verbosity, additional drivers, etc).


Version-Release number of selected component (if applicable):

preupgrade-1.1.10-1

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Philip Prindeville 2012-09-26 19:21:58 EDT
Hello?
Comment 2 Fedora End Of Life 2013-01-16 08:43:39 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 09:37:05 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.